<template>
  <ClientProfile v-if="client" :client="client" @clientUpdated="atUpdatedClient"> </ClientProfile>
</template>

<script>
import ClientProfile from "../components/profile/ClientProfile";
import userController from "../controllers/user.controller";
import swal from "sweetalert2";
export default {
  name: "ClientPage",
  components: { ClientProfile },
  data() {
    return {
      client: null,
    };
  },
  methods: {
    atUpdatedClient(newClient) {
      this.client = newClient;
    }
  },
  async mounted() {
    const res = await userController.getClient(this.$route.params.id);
    if (res.status === 200) {
      this.client = res.data;
    } else {
      await swal.fire({
        icon: "warning",
        title: "User not found!",
        timer: 3000,
      });

      this.$router.push("/");
    }
  },
};
</script>

<style>
</style>